      program scoldist
c
c     $Id: scoldist.f,v 1.3 2001/01/12 22:19:04 nakano Exp $
c     test routine for collision.f
c     print nodes for spline func, then random trials
c
      real*8 amunit
      parameter (amunit = 1.6605402d-27)

      real*8 pgas, tgas, mgas, rmax
      real*8 vpar, mfp
      real*8 pgasig, tgasig

      parameter (tgas = 400.0d0)
      parameter (pgasig = 1.0d0)
      parameter (tgasig = 296.0d0)

      real*8 vgas, distf

      integer ivp, nvp, ivg, nvg
      parameter (nvp = 7, nvg = 120)

      real*8 vptest(nvp), vgstep, fvg(nvp, nvg)
      data vptest /3.0d0, 10.0d0, 30.0d0,
     $     100.0d0, 300.0d0, 1000.0d0, 3000.0d0/
      parameter (vgstep = 10.0d0)


C
C     gas pressure
C
      pgas = pgasig * tgas / tgasig

C
C     mass of the gas (Ar)
C
      mgas = 39.95d0 * amunit
      rmax = 0.7d-9

      do 10 ivp = 1, nvp
         vpar = vptest(ivp)

         call setdist(pgas, tgas, mgas, rmax, vpar, mfp)

         do 20 ivg = 1, nvg
            vgas = ivg * vgstep
            fvg(ivp, ivg) = distf(vgas)
 20      continue
 10   continue

      do 30 ivg = 1, nvg
         vgas = ivg * vgstep
         write(6,1000) vgas, (fvg(ivp, ivg),ivp=1,nvp)
 1000    format(f9.1, 7f10.7)
 30   continue
      stop
      end

