#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Linux version 3.7
#    	patchlevel 1 (+1.1.9 1999/11/08)
#    	last modified Fri Oct 22 18:00:00 BST 1999
#    
#    	Copyright(C) 1986 - 1993, 1998, 1999
#    	Thomas Williams, Colin Kelley and many others
#    
#    	Type `help` to access the on-line reference manual
#    	The gnuplot FAQ is available from
#    	<http://www.ucc.ie/gnuplot/gnuplot-faq.html>
#    
#    	Send comments and requests for help to <info-gnuplot@dartmouth.edu>
#    	Send bugs, suggestions and mods to <submit@bugs.debian.org>
#    
# set terminal tek40xx 
# set output
set xlabel "Vg (m/s)" 0.000000,0.000000  ""
set xrange [ 0 : 1200 ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set x2range [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set ylabel "dN/dVg" 0.000000,0.000000  ""
set yrange [ 0 : 1 ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
plot 'scoldist.dat' using 1:2 t "3m/s" with lines,\
     'scoldist.dat' using 1:3 t "10m/s" with lines,\
     'scoldist.dat' using 1:4 t "30m/s" with lines,\
     'scoldist.dat' using 1:5 t "100m/s" with lines,\
     'scoldist.dat' using 1:6 t "300m/s" with lines,\
     'scoldist.dat' using 1:7 t "1000m/s" with lines,\
     'scoldist.dat' using 1:8 t "3000m/s" with lines
#    EOF

