      program tmaxwel
c
c     test routine for maxwel
c
      real*8 agas, mgas, tgas
      real*8 unitam, unitch
      parameter (unitam = 1.6605402d-27)

      real*8 sg, vg(3)
      integer seed
      integer itrial, ntrial

      read (5,*) agas, tgas, seed, ntrial

      call sgenrand(seed)
      mgas = agas * unitam

      call smaxwel(mgas, tgas)

      do 10 itrial = 1, ntrial
         call maxwel(vg)
         sg = 0.d0
         do 20 i = 1, 3
            sg = sg + vg(i)**2
 20      continue
         sg = sqrt(sg)
         write (6, 1000) sg, (vg(i),i=1,3)
 1000    format(4f14.6)
 10   continue
      end
