#!/usr/bin/perl
#
# $Id: histgram.pl,v 1.1 2001/10/05 10:39:56 nakano Exp $
# 
$min = $ARGV[0];
$max = $ARGV[1];

@data = ();
while(<STDIN>){
	chomp;
	push @data, $_;
}
$ndata = $#data + 1;

$step = ($max - $min) / int (0.5 * sqrt($ndata));

$width = $max - $min;
for($i=0; $i * $step < $width; $i++){$freq[$i] = 0;}

while(@data){
	$datum = pop(@data);
	$i = int( ($datum - $min) / $step );
	$freq[$i]++;
}

for($i=0; $i * $step < $width; $i++){
	$f = $freq[$i] / ($step * $ndata);
	$label = $min + $step * ($i + 0.5);
	print "$label\t$f\n";
}

