#    G N U P L O T
#    Linux version 3.5 (pre 3.6)
#    patchlevel beta 328 (+1.1.1 '97.3.11)
#    last modified Sun Mar  9 23:48:47 GMT 1997
#
#    Copyright(C) 1986 - 1993, 1996
#    Thomas Williams, Colin Kelley and many others
#
#    Send comments and requests for help to info-gnuplot@dartmouth.edu
#    Send bugs, suggestions and mods to bug-gnuplot@dartmouth.edu
#
# set terminal tek40xx 
# set output
set logscale y 10
set view 60, 30, 1, 1
set samples 100, 100
set isosamples 10, 10
set surface
set nocontour
set clabel '%8.3g'
set nohidden3d
set size ratio 0 1,1
set title "" 0.000000,0.000000  ""
set timestamp "" bottom norotate 0.000000,0.000000  ""
set xlabel "Col. Param. (Ang.)" 0.000000,0.000000  ""
set xrange [ 0 : 7 ] noreverse nowriteback
set ylabel "Energy(eV)" 0.000000,0.000000  ""
set yrange [ 0.01 : 100 ] noreverse nowriteback  # (currently [-10:10] )
set zlabel "S. angle (rad)" 0.000000,0.000000  ""
set zrange [ 0 : 3.14 ] noreverse nowriteback  # (currently [-10:10] )
set zero 1e-08
set locale "C"
splot 'sscatt.dat' using 2:1:3
#    EOF
