#!/bin/sh
HISPUT=/usr/local/bin/hisput

for n in `seq 0 9`; do
  for r in 07cm 13cm; do
    for t in 00K 4hK; do
      for p in 0m10 0m15 0m20 0m35 0m50 0m70\
               1m10 1m15 1m20 1m35 1m50 1m70\
                2m10 2m15 2m20; do
        dir=$r-$t-$p
        if [ ! -f $dir/$n.dat ]; then
          (cd $dir;\
           nice $HISPUT < $n.in 1> $n.out 2> $n.err;\
           bzip2 -9 $n.out)
        fi
      done
    done
  done
done

