      program seeject
C
C     $Id: seeject.f,v 1.3 2001/01/12 00:43:40 nakano Exp $
C     test program for eeject.
C     Firstly, print Thompson's distribution function to stderr,
C     then print random ejection energies ntrial times to stdout.
C
      integer i, ntrial
      parameter (ntrial = 10000)
      real*8 eb, e1, mt, mi, ee

      i = 100
      call sgenrand(i)

C
C     Ar->Cu case
C
      eb = 3.5d0
      e1 = 400.0d0
      mt = 63.5d0
      mi = 40d0

      call seteej(eb, e1, mt, mi)

      write(0,1000)
      write(0,1010) '# E(eV)  F(E)'
 1000 format('# Thompson\'s dist func.')
 1010 format('# E(eV)  F(E)')

      do 10 i = 0, 4000
         ee = 0.1 * i
         write(0,1020) ee, fe(ee)
 1020    format(1x, 2e12.5)
   10 continue

      write(6,*) '# ** TRIAL **'
      do 20 i = 1, ntrial
         call eeject(ee)
         write(6,1030) ee
 1030    format(1x, f12.5)
   20 continue

      stop
      end

