#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Linux version 3.7
#    	patchlevel 1 (+1.1.9 1999/11/08)
#    	last modified Fri Oct 22 18:00:00 BST 1999
#    
#    	Copyright(C) 1986 - 1993, 1998, 1999
#    	Thomas Williams, Colin Kelley and many others
#    
#    	Type `help` to access the on-line reference manual
#    	The gnuplot FAQ is available from
#    	<http://www.ucc.ie/gnuplot/gnuplot-faq.html>
#    
#    	Send comments and requests for help to <info-gnuplot@dartmouth.edu>
#    	Send bugs, suggestions and mods to <submit@bugs.debian.org>
#    
# set terminal tek40xx 
# set output
set log y
set xlabel "Energy (eV)" 0.000000,0.000000  ""
set xrange [ 0.00000 : 50.0000 ] noreverse nowriteback
set ylabel "dN/dE (arb)" 0.000000,0.000000  ""
set yrange [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
plot 'ee-func.dat' with lines, 'ee-mc.dat'
#    EOF
