      program srand
C
C     $Id: srand.f,v 1.4 2001/01/11 10:50:43 nakano Exp $
C     sample program for mt
C     evaluate pi with Monte-Carlo method
C
      integer i, seed
      integer ntrial 
      real*8 x, y
      real*8 genrand

      write(0,1000)
 1000 format('input random seed (integer)')
      read(5,*) seed
      call sgenrand(seed)

      write(0,1005)
 1005 format('input traial number (integer)')
      read(5,*) ntrial

      write(6,1010)
 1010 format(' first 10 pseudo random numbers:')
      do 10 i = 1, 10
         write(6,1020) genrand()
 10   continue
 1020 format(1x, F12.9)
      
      s = 0
      do 20 i = 1, ntrial
         x = genrand()
         y = genrand()
         if (x**2 + y**2 .lt. 1.0d0) s = s+1
 20   continue
      write(6,1030) 4*dble(s)/ntrial
 1030 format(1x, 'PI from MC method is: ', E14.8)
      stop
      end

