      program s1dspf
c
c     $Id: s1dspf.f,v 1.2 2000/06/26 11:34:15 nakano Exp $
c     sample program for 1d pspf, spf
c     try 'make test1' to view the result
c
      integer n, ichi
      parameter (n = 10)
      parameter (ichi = 4)

      real*8 x(n), v(n), spf1, dspf1, d, s

      real*8 pi, xp
      integer i

      pi = 4.0d0 * datan(1.0d0)

      call inispf1
      do 10 i=1,n
         x(i) = dble(i)
         v(i) = dcos(x(i))
 10   continue

      call setspf1(2, n, ichi, x, v)

      do 200 i = 11, 10*n-1
         xp = 0.1d0 * i
         s = spf1(2, xp)
         d = dspf1(2, xp)
         write(*,2030) xp, cos(xp), s, -sin(xp), d
 2030    format(1x, 5f13.6)
 200  continue

      stop
      end

