      program sbd
c
c     $Id: s2dspf.f,v 1.5 2001/01/11 11:07:10 nakano Exp $
c     sample program for bd
c     try 'make test2' to view the result
c
      parameter (ndimx = 30)
      parameter (ndimy = 30)
      parameter (ndimm = 30)
      parameter (ichix = 3)
      parameter (ichiy = 3)

      real*8 x(ndimx), y(ndimy), z(ndimm,ndimm)

      integer nx, ny
      integer i, j
      real*8 px, py, s, spf2

      nx = ndimx
      ny = ndimy

      open(unit=7, file='s2dspf.nod')
      do 10 i=1,nx
         x(i) = 0.5d0 * dble(i-1)
         do 5 j = 1, ny
            y(j) = 0.5d0 * dble(j-1)
            z(i,j) = dcos(x(i)) * dsin(y(j))
            write(7,1000) i, j, z(i,j)
 1000       format(1x, 2i5, f13.6)
 5       continue
 10   continue
      close(7)

      call inispf2
      call setspf2(2, ndimm, nx, ny, ichix, ichiy, x, y, z)

      open(unit=9, file='s2dspf.dat')
      open(unit=8, file='s2dspf.dif')
      do 20 i = 1, 5*(nx-1)
         px = 0.1d0 * i
         do 30 j = 1, 5*(ny-1)
            py = 0.1d0 * j
            s = spf2(2, px, py)
            write(9,1010) px, py, s, cos(px)*sin(py)
            write(8,1020) px, py, s - cos(px)*sin(py)
 1010       format(1x, 4f13.6)
 1020       format(1x, 3f13.6)
 30      continue
         write(9,1030)
         write(8,1030)
 1030    format()
 20   continue
      close(9)
      close(8)

      stop
      end

