c     This file is a part of HISPUT, simulation program of
c     sputtering deposition.
c
c     Copyright (c) 1998 Takeo Nakano
c
c     This program is free software; you can redistribute it and/or
c     modify it under the terms of the GNU General Public License
c     as published by the Free Software Foundation; either version
c     2 of the License, or (at your option) any later version.
c
c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.
c
c     You should have received a copy of the GNU General Public
c     License along with this program; if not, write to the Free
c     Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
c     MA 02111-1307, USA
c
c     $Id: aeject.F,v 1.1.1.1 2000/01/06 05:47:16 nakano Exp $
c
#include "hisput.h"

      subroutine aeject(vdir)
c
c     subroutine to determin the vector of
c     emitting particle from target
c
c     child:
c       genrand
c
      real*8    vdir(3)
      real*8    genrand, w1, w2, pi2
      parameter(pi2 = 2 * PIDBL)

      w1 = genrand()
      w2 = pi2 * genrand()
      vdir(1) = sqrt(w1) * cos(w2)
      vdir(2) = sqrt(w1) * sin(w2)
      vdir(3) = sqrt(1.d0 - w1)

      return
      end

