/* input/output file descriptors */
#define STDERR 0
#define STDIN  5
#define STDOUT 6
#define IFD 9
#define OFD 10

/* limits */
#define NODEMAX 100
#define REGMAX  100

/* spline function related consts */
#define ISP1MFP 1
#define KSP1MFP 4

#define ISP1PEJ 2
#define KSP1PEJ 4
#define NMAXPEJ 100

#define ISP2COL 1
#define KSP2COL 4
#define NMAXCOL 100

#define ISP2SCA 2
#define KSP2SCA 4
#define NMAXSCA 100

/* misc. consts */
#define PIDBL 3.141592653589793238462643383276D0

#define UNITAM 1.6605402d-27 /* atomic unit (kg)        */
#define UNITBZ 1.380658d-23  /* Boltzmann's const (J/K) */
#define UNITCH 1.6021773d-19 /* unit charge (C)         */

#define TGAUGE 296.0d0

