#!/bin/sh
HISPUT=/usr/local/bin/hisput

if [ X$1 = X ]; then
   echo "$0 [02/05/10]";
   exit
fi
en=$1


for n in `seq 0 9`; do
  for t in 4hK 00K; do
    for p in 0m50 0m70 1m10 1m15 1m20 1m35 1m50 1m70 2m10 2m15 2m20; do
      for e in B$en L$en; do
        dir=$e-$t-$p
        if [ ! -f $dir/$n.dat ]; then
          (cd $dir;\
           nice $HISPUT < $n.in 1> $n.out 2> $n.err;\
           bzip2 -9 $n.out)
        fi
      done
    done
  done
done

